> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Firm Product Limits

> Gets product limits for a specific firm and optional product combination.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/firm-product-limit/{firm_uuid}
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/firm-product-limit/{firm_uuid}:
    get:
      tags:
        - Firm Product Limits
      summary: Get Firm Product Limits
      description: >-
        Gets product limits for a specific firm and optional product
        combination.
      operationId: getFirmProductLimits
      parameters:
        - name: firm_uuid
          in: path
          description: The UUID of the firm to get product group limits for
          required: true
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
        - name: product_code
          in: query
          description: The product Code to query limits (exclude to query all products)
          required: false
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: BIPZ30
      responses:
        '200':
          description: Successfully retrieved firm product limits
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FirmProductLimitResponse'
        '403':
          description: Insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    FirmProductLimitResponse:
      type: object
      additionalProperties: false
      properties:
        firm_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
        product_code:
          type: string
          example: BIPZ30
        product_name:
          type: string
          example: Bitcoin Perpetual Index Futures Dec 2030
        trading_disabled:
          type: boolean
          example: false
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````